/**
 * @author S.Gougeon
 * date : 7 janv. 2004
 * Centre de Ressousrces Informatiques
 * Université de Rennes 1
 * 
 */
package fr.univrennes1.cri.calendar;
import java.security.*;


public class Outil {
/**
 * 
 * @return une clé générée aléatoirement
 */
	public static String genAleaTicket() {
		byte[] b = new byte[50];
		SecureRandom sr = new SecureRandom();
		sr.nextBytes(b);
		final char[] alphabet = ("abcdefghijklmnopqrstuvwxyz" + "ABCDEFGHIJKLMNOPQRSTUVWXYZ" + "1234567890").toCharArray();
		char[] sortie = new char[b.length];
		for (int i = 0; i < b.length; i++) {
			int index = b[i] % alphabet.length;
			if (index < 0)
				index += alphabet.length;
			sortie[i] = alphabet[index];
		}
		String alea = new String(sortie);
		String aleaTicket = "SOT-" + alea ;
		return aleaTicket;
	}
}
